3.5.070611
----------------------------------------
 + Added option to play WAV file when feedback icon is lit.
 + Added a routine to repair a corrupted SYSPATHS.CFG. This can happen if you
   run a VBBS utility which was not updated for VADV.
 + Added new internal file trigger (BBSFILES.FLG) to create a list of all
   files contained in the file area.
 + Changed the Netfoss default buffer size to 800 bytes.
 + MSXML changed to use version 3.0.
 + The RTBBSList contains a user defined URL which can be updated in case the
   service ceases to be, or can be used for other purposes.
 + Internal node handling has been updated to detect BBS32.EXE and use it if
   present.
 + Updated Who's Online for changes in VADV-PHP.
 - Removed BBSfinder from the application. All references have changed to
   Real-Time BBS List as a generic label so it can be used for other listings
   if needed.

3.4.070320
----------------------------------------
 + Added search feature to the user listing. (Greg)
 + Added new option to send a oneliner to any node or all nodes. (Greg)
 + Added new option in FIDOnet dial lists to disable incoming TICS from that
   node. Requires VTIC v1.2 or higher.
 + Added new report to show missing echos from areas.bbs and tics.bbs.
 + Added menu options for FIDOnet text configuration files.
 + The repair FIDOnet files feature has been expanded to all network files. It
   will repair NETWORKS.LST now and sort it.
 + Added modem listing to the channel configuration.
 + Added a sort button to the NETWORKS.LST editing form.
 + When loading or deleting orphaned files, the listbox is made invisible
   to increase speed
 + If BBSfinder is disabled, memory usage will be displayed on the main form.
 + Added option to hide the BBSfinder display and instead show the memory
   usage display.
 + Added V32ERROR.LOG to the menu.
 + VADV32 will check for optional programs on a regular basis so a reload is
   not necessary to take advantage of installing a new program.
 + VADV32 will ask to reset QWK numbers for automatically setting them.
 + Changed the labels on the top 10 form.
 + Changed how the hard drive information was calculated.
 + UnixTime is now a 64-bit data type.
 ! Improved the status bar speed.
 ! Fixed a bug in the Message Activity Report.
 ! Fixed issues with the channel configuration form.
 ! Fixed issue when changing a channel's comport. It was not changing the base
   address and irq appropriately.

3.3.070302
----------------------------------------
 + Added TIC disable option for FIDOnet nodes.
 ! Fixed issue with country restrictions.

3.3.070301
----------------------------------------
 + Added country restrictions.
 + Added option to repair tabs and spaces in FIDOnet configuration files.
 + Added sorting to the VirtualNET and FIDOnet forms.
 + Added sorting to the event configuration form.
 + Added new data file VA32DATA.DAT. This contains various information.
 + Any hidden windows will be revealed upon the application's exit.
 + Integer optimizations.
 - Removed VADV32IP.DAT. The data is now found in VA32DATA.DAT.
 ! Fixed a problem with event times, net high time and net low time.
 ! Fixed error when setting a channel's IRQ.
 ! Fixed a max value error when editing databases.
 ! Fixed problem when trying to force VCleanDB to execute.
 ! Fixed a problem with the node listview object which would cause VADV32 to
   crash.

3.2.061118
----------------------------------------
 + Added the option to minimize to dashboard. This allows you to reduce VADV32
   to a very small window that contains only the essential items. (Lee)
 + The tray icon will show when a connection is active. (Lee)
 + Added system statistics.
 + Added system averages.
 + Added top users.
 + Added new statistic for calls by day of week.
 + Added popup menu in certain forms to show available command line parameters.
 + Added internal file trigger offline.flg which will put VADV32 into offline
   mode until it is removed. (Tim)
 + Added feature so when a user account is deleted an optional batch file named
   ACTCLNUP.BAT will be executed to do any custom cleanup.
 ! Fixed issue of the trayicon appearing even if you have the option disabled.

3.1.061024
----------------------------------------
 + Netfoss updated to 0.9.6.
 + Installation package updated for Windows Vista.
 + Added configuration form for archive types (ARCS.CFG).
 + Added option to play WAV files at logon or logoff.
 + Added option to turn off node file checking. This should always be turned
   on, but if you are configured for a large number of nodes VADV32 will use
   a lot of CPU cycles. Turning this off will save those cycles.
 + Reduced CPU usage.
 + Reworked the "orphaned files" interface.
 + IP restrictions will check for duplicate entries.
 + Added sorting to a few forms.
 + Changed tray icon text.
 ! Fixed issue in which wildcards weren't being allowed for ip restrictions.

3.0.060918
----------------------------------------
 + Netfoss updated to 0.9.5.
 + Added an option to refuse duplicate connections from the same IP address.

3.0.060909
----------------------------------------
 ! Error in the installer script prevents VADV32 from being uninstalled.

3.0.060904
----------------------------------------
 + Netfoss updated to 0.9.3.
 + Added a form to choose between the different database cleaning options
   (VCLEANDB).
 + Reports user-agent to BBSfinder as VADV32.
 ! Changed upload and download forms to allow upper or lowercase command lines.
 ! Fixed problem where unneeded menu seperator bars were being displayed.
 ! Minor interface fixes.

3.0.060711
----------------------------------------
 + The VADV32 package includes a new replacement VCleanDB utility which is
   32-bit which runs much faster. It also will clean the SNTEMAIL database
   which VADV-PHP uses.
 + Added VCleanDB log viewing.
 + Added support for VMail.
 + Local node 0 is now displayed in the nodelist.
 + Enhanced the VNET FTP batch file so it will process updates.
 + Improved previous instance detection.
 + Changed how events are executed. It uses the "start" command to make
   sure that they are executed one at a time in the order you specify. By
   doing it this way, even Win32 programs are executed properly.
 + VADV32 now requires Windows NT SP4 or later. It will not execute on an
   earlier version.
 + Allowed/Blocked IP addresses are now sorted.
 ! Reworked the routine that handles node refreshs. Lowered the cpu usage
   dramatically compared to what it was before.
 ! When updating BBSfinder, it will not cache the site any longer.
 ! Fixed the "No Reponse" error you get with BBSfinder updates when using
   early version Win2k servers (tested with the original Win2k installation).

2.7.060610
----------------------------------------
 + You can add up to nine customizable shortcuts to VADV32. They have a
   menu plus a hotkey.
 + If VADV32 is in offline mode, you can send a customized message. The
   file is \VA\TXT\OFFLINE.TXT. (Lee)
 + If all nodes are in use, you can customize the message sent to incoming
   connections. The file is \VA\TXT\BUSY.TXT.
 + Added startup events. These are events that will execute when VADV32 is
   loaded. (Greg)
 + You can do global editing on database groups now. (Doug, Greg)
 + Added ability to generate HANDLES.FID for FIDOnet.
 + Added V32ERROR.LOG to log any handled errors.
 + Added DOS Tools to the tools menu. You can launch VConfig, VMB or VString.
 + The hard drive list now will open a DOS prompt to that drive when double
   clicked.
 + The tray icon will be refreshed every minute incase it disappears for
   whatever reason.
 + Added an option to show hidden event windows in case they get stuck.
 + Menus were reorganized.
 + Other V32 programs are now accessible from VADV32. (Roger)
 ! If there are no triggers then VADV32TR.DAT is deleted.
 ! Fixed problem with VADV32 not processing POLLx.NET files.
 ! Events and VA32EVNT.BAT now adhere to the show window event setting.

2.6.060524
----------------------------------------
 ! Fixed an error in the BBSfinder routine that was caused by changes in
   the previous release.

2.6.060523
----------------------------------------
 + Added an option to set the refresh interval for the main window
   statistics.
 ! Fixed internal counters causing fatal errors after so many days if the
   BBSfinder or refresh statistics are disabled.
 ! Fixed problem with displaying of ram/pf usage.

2.6.060520
----------------------------------------
 + Added "file triggers" which allow you to run a specified command if the
   trigger file exists. (J.C. Doll)
 + Added an option to generate a report listing all gated databases.
 + Added a form to edit the actual text-section bulletins. (Havok)
 + Hard drive information will be displayed in red if it goes below 5%
   free space.
 + Changed the who's online display to work with VADV-PHP v1.0.060504 and
   later. If using a previous version of VADV-PHP then it will choose to
   not display web user information since it is not in the correct format.
   The display is now sorted by user number and will display all guests
   as well.
 + Added a new database tool to view message database activity.
 + Added an option in the tools menu to reset the control.dat file.
 + The reset node and reset all node options are now enabled even if users
   are online. It will display a warning message if VADV32 detects that
   a user might be affected.
 + Added an option to forcibly close an open node.
 + Added internal triggers to close nodes.
 + VADV32 will notify you if you try to exit when users are online. You also
   have the option now to force all nodes to close on exit.
 + Various optimizations.
 + Changed the main window font size and colors. Rearranged a few things.
 + Reworked the status bar.
 + Reworked how weekly and monthly updates are calculated.
 + You can now view the rest of the VADV log files using VADV32's interface.
 + You can now edit the various text configuration files used by VADV.
 + The compile network form is not closed any longer automatically to make
   it easier to compile multiple networks.
 + Added a link on the help menu to the online VADV documentation.
 - Removed VSMTP32, VIRC32 and VADV-PHP logs from the tray icon menu.
 ! Fixed a problem with the database report and WWiV networks.
 ! The hard drive list will not display information for non-existant drives.
 ! Fixed a problem detecting if users are online if the control.dat is
   missing node entries.
 ! Fixed a problem for needless message tossing.
 ! Fixed/improved the optimize database routine. DBGROUP.CFG and DATABASE.CFG
   do not always agree on the database type (message, file or custom). This
   is now synchronized to the DBGROUP.CFG setting which is always correct.

2.5.060402
----------------------------------------
 ! Fixed time zone information.

2.5.060227
----------------------------------------
 + Added an option with VirtualNET networks for VADV32 to create a batch
   file that will connect to the host and send/receive packets using FTP.
 + Reworked the user editor. It now contains the same editing abilities as
   the built-in one plus more.
 + Added the option to close to the taskbar. This helps prevent accidental
   closings by using the X button. If enabled, it will simply minimize the
   application instead of exiting.
 + VADV Diagnostics will check and warn against modified color configs.
 + Reloading the VADV32 configuration will now check for the various
   optional programs and enable their menus if found.
 ! The VISK configuration menu has been changed to better describe the
   paths (which was the same as the confusing descriptions in the
   schedule.exe program).
 ! Forms that have loading protection have been changed to guard all forms
   of closure.
 ! Reworked the IP address restriction function.
 ! Fixed a few missing tool tips.
 ! Fixed a problem regarding FIDOnet aka's. VADV32 was not creating the
   NET.x files properly.
 ! Fixed a problem with the displayed free hard drive space percentage.

2.4.060118
----------------------------------------
 + User editor now shows the last time the user was logged in.
 + Updated the HANDLES.UIP generator. It now is using the shared function
   with VSMTP32 as well as the autoresponder user number configured. If
   VSMTP32 is not installed then it defaults to user one.
 + VADV passwords are now masked. You can hover the mouse over them for
   the normal plain text display.
 + A dialog box to browse directories has been added to fields requiring
   a directory.
 - Log viewing is done now strictly through notepad for consistency.
 ! Improved the telnet option negotiation.
 ! Fixed a problem with the DB Group form (couldn't insert or delete).

2.3.051208
----------------------------------------
 + If the telnet listen port is already being used by another application,
   VADV32 will now report the error instead of crashing.
 ! Fixed/improved the way certain form items function.
 ! Fixed a problem where WWiVnet in the network editor was being set
   as network 6 instead of network 9.

2.3.051118
----------------------------------------
 ! Fixed bug that occurs when you change a database's topic letter (to
   move it from one topic to another).

2.3.051116
----------------------------------------
 + Added configuration form to edit the TWIT.LST file.
 + Added configuration form to configure the built-in mailing list feature.
 + User editor now allows you to use the auto-validation settings.
 + Internet remote systems configuration has been changed for easier
   configuration with VISK.
 + Changed the program appearance to match the other V32 applications.
 + All forms have been changed to the Tahoma font to match Windows.
 + Updated VADV32 to work with VSMTP32 and VIRC32.
 + Added the option for VADV32 to automatically monitor the timezone and
   update the BBS configuration as needed.
 + Network listing now shows the network types.
 + Removed the flexgrids. BBS statistics and hard drive information will
   display correctly for all systems. Also eliminates the flicker when
   updating.
 + Hard drive information now supports terabytes (for the heck of it).
 + VADV32 will now remember if it is closed while minimized.
 ! Added missing tooltips.

2.2.050929
----------------------------------------
 ! Fixed a few issues from the last release.

2.2.050927
----------------------------------------
 + Added a feature to automatically create the HANDLES.UIP file using the
   user database.
 + Added a feature to create a report of all available files on the BBS.
 + The insert button is now disabled if the maximum number is reached.
 ! Fixed the problem where you could not insert new topics or databases
   if the total number exceeded 100.
 ! The duplicate database filename function has been improved. It only reports
   the duplicate once, and runs much faster if there are numerous dupes.

2.2.050925
----------------------------------------
 + VADV32 can now check for newer versions.
 + Added the ability to configure VISK within VADV32.
 + Added the ability to configure doors within VADV32.
 + Added the ability to configure upload and download protocols.
 + Added the ability to configure the voting booth within VADV32.
 + Added the ability to configure random messages.
 + Added the ability to configure text sections.
 + Added the ability to configure multi-feedback.
 + Added the ability to configure user quick validation.
 + Added the ability to edit the irc-s.cfg file.
 + Added the ability to edit teleconference rooms.
 + Added the ability to edit teleconference actions.
 + Added the ability to configure the autoresponder.
 + Added the ability to configure networks.
 + Added the ability to compile network information.
 + Added the ability to reset/auto-number qwk conferences.
 + Added the ability to compile network data and optimize the database
   configuration.
 + Added a function block editor.
 + Added the ability to compile network nodelists.
 + Added the ability to perform database cleanup.
 + Rewrote the user editor. You can now edit users, insert new users,
   and delete users.
 + VADV32 will now display a message when BBSfinder is being updated.
 + Changed how the comboboxes were created.
 + Changed the channel and events configuration forms to match the new
   easier to use style.
 + Added a feature to check for orphaned database files.
 + Added a feature to check for duplicated database filenames.
 + Added a feature to view which subs are networked under a certain
   network.
 + Added diagnostics.
 + Reworked node handling to be more secure.
 + Installer now includes PCANSI.COM to make sure an ANSI driver is
   available for use.
 + Improved user detection.
 + Added a routine to monitor the STATVBBS.DAT file to keep it from being
   reset.
 ! Minor code changes.
 ! Fixed a problem if a system path was left blank.
 ! Fixed a problem with the "boot all users" feature.
 ! Fixed a problem with the scrollbar that occurs after sorting events.
 ! VADV32 now double checks the node when a user logs in to make sure
   the node is not in use.

2.1.050428
----------------------------------------
 ! BBSfinder updates now wait for 10 seconds instead of 5 for a response.
 ! MSCOMCTL.OCX updated.

2.1.050322
----------------------------------------
 + Enabled Pentium Pro optimization.
 ! Lower CPU usage during idle times.
 ! Fixed the length of the system password in VConfig.

2.1.050314
----------------------------------------
 + VADV32 will cleanup any files leftover from the last time it ran.
 + A message is displayed when channel configuration is loaded if the auto-
   node setup is active.
 + The BBS's channels.cfg is now updated along with the channelx.cfg.
 ! Fixed a problem with mouse movements causing the program to unexpectantly
   disappear or show the tray menu.

2.1.050228
----------------------------------------
 + Added the ability to toggle the sysop availability pager.
 + Updated the interface to display the pager status.

2.1.050220
----------------------------------------
 + Added the options to show or hide individual nodes.
 + If you double click on an active node in VADV32, then it will make it the
   active window.
 ! Changed how windows were made active.
 ! When internal node handling is used, it will attempt to load PCANSI as the
   ANSI driver.
 ! The path warning was moved to the config file. It was appearing every load
   if VADV32 was configured to not save window positions.

2.1.050215
----------------------------------------
 + Added a new option to toggle the display of event windows (daily maintenance
   or message tossing). I had made the windows visible in the last version, but
   in certain situations it is best if the windows are hidden. You now have the
   option. (Steven Reeves)

2.1.050214
----------------------------------------
 + Tray icon will now show server state as well as uptime.
 + You can now set the server state from the tray icon.
 + Resized the text display window.
 ! Fixed an issue with the tray icon.

2.1.050211
----------------------------------------
 + Added new option to automatically setup the node for VADV32 use as it is
   loaded. This will basically do away with the node setup, but you can disable
   it to allow customized node settings.
 + The "Setup this node for VADV32" option in channel config will now save the
   current node after the changes are made.
 + Added a one-time warning if the VADV directory is not in the path.
 + Minor interface changes.

2.1.050208
----------------------------------------
 + Added the ability to block users based on their IP address, or only allow
   certain IP addresses. (Lee Wilson)
 + Added a new node option to block the user's ip address.
 ! Fixed a configuration problem introduced in the last version.

2.1.050206
----------------------------------------
 ! Fixed (again) the problem that occurred with invalid telnet connections. It
   was apparently reintroduced with changes from the last version.
 ! Fixed a problem with the system tray icon.
 ! Fixed a few interface glitches.

2.1.050204
----------------------------------------
 + LOADBBS.BAT is now optional (by default turned off). VADV32 will do its own
   internal node handling to make it easier to setup.
 + The text window resets each night.
 + Added VADV32 logging.
 + Added new configuration option to specify the max length of the logfile.
 + Added options to view the BBS log, VADV32 log and VADV-PHP log.
 + Added who's online, which will show who is on VADV-PHP as well.
 + Added new informational icons: files to review and message validation.
 + Added a new node option to boot all users.
 + Rewrote the way sockets were being utilized.
 + Added the ability to start, stop or place the server into offline mode.
 + If you load a second instance of VADV32 now it will restore the original.
 + The installer now detects if VADV32 is running.
 + Added a status bar when doing automatic node configuration.
 + Added support for VADV events.
 + More code cleaning and polishing.
 ! Node windows are now kept up with using an alternate process which should
   eliminate any second login occurances.
 ! Node popup menu now only shows the valid commands.
 ! Fixed a problem with blank entries in the configuration forms.
 ! Fixed a problem with the http routine. Unresponsive BBSfinder updates were
   causing the window to not refresh (white screen).

2.0.050117
----------------------------------------
 + More meaningful BBSfinder error messages.
 + Cleaned up the code.

2.0.050115
----------------------------------------
 + Changed the tray icon to use double clicks instead of single clicks.
 ! Fixed a problem that occurred with invalid telnet connections. It would open
   the socket, but not connect, and then leave the socket open. This has been
   resolved.
 ! Idle mins are only recorded if daily maint is enabled (lack of node 1).

2.0.050114
----------------------------------------
 + Rewrote the connection routine for better error handling and messages.
 + VADV32 now records idle minutes. (Steven Reeves)

2.0.050113
----------------------------------------
 + Added more node options, such as chat with user, boot user, etc.
 + Modified the logging so its easier to see user logins.
 ! Paths configuration now removes any ending backslashes.

2.0.050110
----------------------------------------
 ! Fixed the nightly event problem again for the last time.

2.0.050109
----------------------------------------
 + Added the option to resolve hostnames or not. (Lee Wilson)
 + Added the ability to expand or shrink the BBS statistics part of the window.
 + Telnet port is refreshed during configuration reload or after a
   configuration change.
 + Telnet port option is grayed out if a user is online.
 ! Fixed a problem with nightly maintenance.

2.0.050108
----------------------------------------
 + Uptime is now written to tcpip.cfg.
 + Added a basic user editor. (Dallas Vinson)
 ! Fixed a few small cosmetic problems.

2.0.050106
----------------------------------------
 + Improved telnet performance.

2.0.050105
----------------------------------------
 + New setup program makes it easy to install.
 + New configuration is done within the program itself. No need to manually
   edit text files.
 + New interface that mimics the look and feel of the WFC screen.
 + BBSfinder.com client is integrated within VADV32. This is a unique BBS list
   service which provides a real-time listing of active BBSs.
 + Automatic node configuration is done by VADV32.
 + Automatic setup of the node directories is done by VADV32.
 + Local login from VADV32 using node zero. (Steven Reeves)
 + View today's callers from within VADV32. (Steven Reeves)
 + VADV32 now performs nightly maintenance and message tossing, therfore will
   take the place of node one.
 + Now supports up to 99 nodes.
 + You can specify which node to start with when accepting connections, and
   how many nodes to allow to be used for connections (up to your registration
   limit).
 + VA32EVNT.BAT can be ran each night to do door maintenance.
 + Optional beep when a caller connects. (Steven Reeves)
 + Minimize VADV32 to the tray, which saves some memory and a lot of screen
   space. (Steven Reeves)
 + Notification of new feedback for the SysOp. (Steven Reeves)
 - Stripped the program down to its bare essentials and then rebuilt it from
   the ground up.

1.0.030408
----------------------------------------
   First major release.

Legend
----------------------------------------
 +  This feature has been added or changed.
 -  This feature was removed.
 !  Bugfix from a previous version.
 () A name in parenthesis means that person suggested that feature.